﻿CREATE TABLE [dbo].[CompanyBalanceSheet] (
    [Id]                                UNIQUEIDENTIFIER NOT NULL,
    [CompanyId]                         UNIQUEIDENTIFIER NOT NULL,
    [CurrencyId]                        UNIQUEIDENTIFIER NOT NULL,
    [ValueConversionId]                 UNIQUEIDENTIFIER NOT NULL,
    [CompanyName]                       NVARCHAR (256)   NOT NULL,
    [Currency]                          NVARCHAR (256)   NULL,
    [Units]                             NVARCHAR (256)   NULL,
    [Year]                              INT              NOT NULL,
    [Assets_]                           NVARCHAR (255)   NULL,
    [CashAndCashEquivalents]            NVARCHAR (255)   NULL,
    [ShortTermInvestments]              NVARCHAR (255)   NULL,
    [AccountsReceivables]               NVARCHAR (255)   NULL,
    [Inventories]                       NVARCHAR (255)   NULL,
    [CurrentTaxAssets]                  NVARCHAR (255)   NULL,
    [OtherCurrentAssets]                NVARCHAR (255)   NULL,
    [AssetsHeldForSale]                 NVARCHAR (255)   NULL,
    [TotalCurrentAssets]                NVARCHAR (255)   NULL,
    [LongTermInvestments]               NVARCHAR (255)   NULL,
    [PropertyPlantAndEquipment]         NVARCHAR (255)   NULL,
    [IntangibleAssets]                  NVARCHAR (255)   NULL,
    [Goodwill]                          NVARCHAR (255)   NULL,
    [DeferredTaxAssets]                 NVARCHAR (255)   NULL,
    [OtherNoncurrentAssets]             NVARCHAR (255)   NULL,
    [TotalAssets]                       NVARCHAR (255)   NULL,
    [LiabilitiesAndEquity_]             NVARCHAR (255)   NULL,
    [ShortTermDebt]                     NVARCHAR (255)   NULL,
    [TradeAccountsPayable]              NVARCHAR (255)   NULL,
    [DividendsPayable]                  NVARCHAR (255)   NULL,
    [IncomeTaxesPayable]                NVARCHAR (255)   NULL,
    [AccruedExpenses]                   NVARCHAR (255)   NULL,
    [DeferredRevenuesShortTerm]         NVARCHAR (255)   NULL,
    [OtherCurrentLiabilities]           NVARCHAR (255)   NULL,
    [LiabilitiesHeldForSale]            NVARCHAR (255)   NULL,
    [TotalCurrentLiabilities]           NVARCHAR (255)   NULL,
    [LongTermDebt]                      NVARCHAR (255)   NULL,
    [PensionBenefitObligations]         NVARCHAR (255)   NULL,
    [PostretirementBenefitObligations]  NVARCHAR (255)   NULL,
    [DeferredTaxLiabilities]            NVARCHAR (255)   NULL,
    [OtherTaxesPayable]                 NVARCHAR (255)   NULL,
    [DeferredRevenuesLongTerm]          NVARCHAR (255)   NULL,
    [OtherNoncurrentLliabilities]       NVARCHAR (255)   NULL,
    [TotalLiabilities]                  NVARCHAR (255)   NULL,
    [CommitmentsAndContingencies_]      NVARCHAR (255)   NULL,
    [PreferredStock]                    NVARCHAR (255)   NULL,
    [CommonStock]                       NVARCHAR (255)   NULL,
    [Debentures]                        NVARCHAR (255)   NULL,
    [AdditionalPaidInCapital]           NVARCHAR (255)   NULL,
    [TresuryStock]                      NVARCHAR (255)   NULL,
    [RetainedEarnings]                  NVARCHAR (255)   NULL,
    [AccumulatedOtherComprehensiveLoss] NVARCHAR (255)   NULL,
    [TotalShareholdersEquity]           NVARCHAR (255)   NULL,
    [MinorityInterest]                  NVARCHAR (255)   NULL,
    [TotalEquity]                       NVARCHAR (255)   NULL,
    [TotalLiabilitiesAndEquity]         NVARCHAR (255)   NULL,
    [CreatedOn]                         DATETIME2 (7)    NULL,
    [UserCreatedById]                   UNIQUEIDENTIFIER NULL,
    [ModifiedOn]                        DATETIME2 (7)    NULL,
    [UserModifiedById]                  UNIQUEIDENTIFIER NULL,
    [IsDeleted]                         BIT              NOT NULL,
    [DeletedOn]                         DATETIME2 (7)    NULL,
    [UserDeletedById]                   UNIQUEIDENTIFIER NULL
);



